X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

I have just upgraded to Firefox 5 and google toolbar doesn't work anymore. How can I go back?

Posted

What details?


locking - asked & answered multiple time - moderator

Modified by the-edmeister

Chosen solution

fuminhere, only Google can make the decision to declare the toolbar compatible with a new version of Firefox. Unfortunately they haven't done that yet. Firefox automatically disables extensions that are not marked as compatible. In this case the toolbar is marked as compatible with Firefox 4, but not Firefox 5.

If you don't want to wait for Google to update it's compatibility information, you can install the Add On Compatibility reporter, and use that tool to disable the compatibility checking. But be very careful, very often there is a good reason why an extension is not marked as ready for a newer version of Firefox.

You can download the reporter here: https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/

Read this answer in context 22

Additional System Details

Installed Plug-ins

  • Adobe Shockwave for Director Netscape plug-in, version 10.1
  • np-mswmp
  • 1.7.0059.1
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 8.3.0
  • Shockwave Flash 10.2 r152
  • iTunes Detector Plug-in
  • GEPlugin
  • Picasa plugin
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  • 4.0.60531.0
  • Office Authorization plug-in for NPAPI browsers
  • The plug-in allows you to open and edit files using Microsoft Office applications
  • Office Live Update v1.4
  • NPWLPG
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • 6.0.12.872
  • RealPlayer(tm) LiveConnect-Enabled Plug-In
  • RealJukebox Netscape Plugin
  • Google Update
  • Npdsplay dll
  • DRM Store Netscape Plugin
  • DRM Netscape Network Object

Application

  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:5.0) Gecko/20100101 Firefox/5.0

More Information

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24389 answers

Nice attitude. See Google for an updated version of the Google Toolbar.

Question owner

A link would be useful. Thanks

I would use Google but I don't have it anymore

Modified by fuminghere

Question owner

It is really unbelievable that you have released a product that has not been properly tested.

I am shocked.

Gutted!

Modified by fuminghere

benlynx 0 solutions 2 answers

Google Toolbar for Firefox 7.1.2011032 IS compatible with version 5 of Firefox.

I downloaded the Add On Compatibility reporter to enable it

Omusic 1.5.8.7 IS compatible with Firefox 5

See the uploaded image

I'm still going to have to revert back to an earlier version of Firefox as I have to reset Firefox twice to enasble the addons that work..

How about letting us enable the addons that do work and Firefox NOT disabling them when we close the browser

I've sent compatibility reports through Add On Compatibility reporter

Question owner

Google Toolbar for Firefox 7.1.2011032

Doesn't show a reply

This is a farce

Andy.c 34 solutions 221 answers

'It is really unbelievable that you have released a product that has not been properly tested. I am shocked. Gutted! ' and need educating

Fuminghere Read the- edmeisters answer

Question owner

What is the answer?

If it's leave it to Google then that's a problem.

How can I go back to the previous version?

Helper7677 165 solutions 1653 answers

fuminghere:

You did not read ALL of benlynx reply above. The second line reads:

"I downloaded the Add On Compatibility reporter to enable it"

You can get that Add-on here: https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/




You need to update the following. The Plugin version(s) shown below was/were submitted with your question and is/are out of date. You should update to avoid known security issues with the version(s) you have installed. Click on "More system info..." to the right of your question to see what was included with your question.

  • Adobe Shockwave for Director Netscape plug-in, version 10.1
  • Adobe PDF Plug-In For Firefox and Netscape 8.3.0
  • Shockwave Flash 10.2 r152
  • Next Generation Java Plug-in 1.6.0_24 for Mozilla browsers
  1. Check your plugin versions on either of the following links':
  2. Update Shockwave for Director
    • NOTE: this is not the same as Shockwave Flash; this installs the Shockwave Player.
    • Use Firefox to download and SAVE the installer to your hard drive from the link in the article below (Desktop is a good place so you can find it).
    • When the download is complete, exit Firefox (File > Exit)
    • locate and double-click in the installer you just downloaded, let the install complete.
    • Restart Firefox and check your plugins again.
    • Download link and more information: http://support.mozilla.com/en-US/kb/Using+the+Shockwave+plugin+with+Firefox
  3. Update Adobe Reader (PDF plugin):
    • From within your existing Adobe Reader (if you have it already installed):
      • Open the Adobe Reader program from your Programs list
      • Click Help > Check for Updates
      • Follow the prompts for updating
      • If this method works for you, skip the "Download complete installer" section below and proceed to "After the installation" below
    • Download complete installer (if you do NOT have Adobe Reader installed):
    • After the installation, start Firefox and check your version again.
  4. Update the Flash plugin to the latest version.
    • Download and SAVE to your Desktop so you can find the installer later
    • If you do not have the current version, click on the "Player Download Center" link on the "Download and information" or "Download Manual installers" below
    • After download is complete, exit Firefox
    • Click on the installer you just downloaded and install
      • Windows 7 and Vista: may need to right-click the installer and choose "Run as Administrator"
    • Start Firefox and check your version again or test the installation by going back to the download link below
    • Download and information: http://www.adobe.com/software/flash/about/
      • Use Firefox to go to the above site to update the Firefox plugin (will also install plugin for most other browsers; except IE)
      • Use IE to go to the above site to update the IE ActiveX
    • Download Manual installers.
  5. Update the Java plugin to the latest version.
the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24389 answers

Are you incapable of using the Google search engine to search for "Google Toolbar for Firefox" to find it??
https://www.google.com/intl/en/toolbar/ff/index.html

It seems that Google is asleep and hasn't updated the Google Toolbar for Firefox 5.0 yet - like it's a secret that it was going to be released today. I am seriously starting to wonder if Google pulls this garbage to try to entice Firefox users over to using Chrome instead??

The GTB 7.1.20110512W version works in Firefox 5.0 by using the Compatibility Reporter extension, as benlynx mentioned, I tried it myself due to the large number of postings about the GTB this morning.
https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/

Question owner

I am more than capable. The download now works , so wind your neck in.

It didn't until 5 minutes ago.

the-edmeister
  • Top 10 Contributor
  • Moderator
3195 solutions 24389 answers

Even with you not being cordial enough to thank us for the help we provided, you're welcome.

Question owner

I refer to your first reply to me about being friendly.

Gives the-edmeister a big man cuddle .

Alexandros T. 0 solutions 5 answers

Helpful Reply

Thats because the old installed version of googletoolbar has a file named install.rdf that declares the max supported version of firefox to be 4.0.

To fix this ,just open the install.rdf file with notepad and change maxVersion from 4.0.* to 6.* (see the image i've also uploaded)


Now, in order to find the correct install.rdf file do the following:

Go to folder : C:\Users\[your user name here]\AppData\Roaming\Mozilla\Firefox\Profiles\[sometext].default and search for the install.rdf file (im using windows 7)

Windows search will find many install.rdf files (one for each addon you have installed on firefox) so make sure that you find the install.rdf that has the line

Google Toolbar for Firefox

in it. For this install.rdf file just rename the max version as stated above , restart firefox..and vuala! Google toolbar is back!

Kadir Topal
  • Administrator
  • Moderator
22 solutions 175 answers

Chosen Solution

fuminhere, only Google can make the decision to declare the toolbar compatible with a new version of Firefox. Unfortunately they haven't done that yet. Firefox automatically disables extensions that are not marked as compatible. In this case the toolbar is marked as compatible with Firefox 4, but not Firefox 5.

If you don't want to wait for Google to update it's compatibility information, you can install the Add On Compatibility reporter, and use that tool to disable the compatibility checking. But be very careful, very often there is a good reason why an extension is not marked as ready for a newer version of Firefox.

You can download the reporter here: https://addons.mozilla.org/en-US/firefox/addon/add-on-compatibility-reporter/

Alchemist-666 0 solutions 1 answers

Tried everything here and I just get a blank, empty bar that appears when I enable the Google ToolBar and goes when I disable. Right clicking on this bar brings up a corrupted panel; clicking on the spanner icon does not open the expected settings panel. I get nothing :( Mac OSX 10.6.7

wheelie 0 solutions 3 answers

I'm not sure how I can use a google toobar to search for a google toolbar when I don't have the google toolbar that I had previous to updating firefox to version 5. .. kinda like swimming in a sand pit.. you can use all the imagination you want.. but real swimming really is not going to happen.. Just like your suggestion to search for different items to help get the google search bar back...It's all just imagination with out a google search bar... so.. check your own attitude zippy (edmeister).. actually read what is posted before trying smart answers.

Helper7677 165 solutions 1653 answers

wheelie:

There are other ways to search than with the Google Toolbar.

v.suryabhargava 0 solutions 5 answers

its not just for searching its about bookmarks translating and a lot lot more google toolbar is a very important plugin and mozilla should have made it work with their new release cause it is one plugin i cant stay without even if it is for a couple of days.

by the way

Its finally out

google toolbar for firefox 5

Helper7677 165 solutions 1653 answers

v.suryabhargav:

I was responding to wheelie's comments:

  • "I'm not sure how I can use a google toobar to search for a google toolbar when I don't have the google toolbar"
  • "Just like your suggestion to search for different items to help get the google search bar back...It's all just imagination with out a google search bar.."

Those comments make it sound as though wheelie thinks the only way to search the internet is with Google toolbar. How about going directly to www.google.com or using the Firefox built-in Search Bar for searching.

As for Bookmarks left on Google's server, I would never do that!

Modified by Helper7677

Chimel 2 solutions 43 answers

Well I totally agree this is crap and an extremely bad design, Firefox did not give devs any time to check and re-release the same add-ons between versions 4.0 and 5.0.

Just install Mozilla's Add-On Compatibility Reporter extension from https://addons.mozilla.org/en-US/firefox/addon/15003 and restart Firefox twice. It basically tells Firefox to ignore the maximum compatible version so the toolbar can be enabled on version 5 too, not blocked because Firefox releases major version numbers like mad just for the sake of catching up with IE9 and Chrome 12 version numbers.